Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.ui.contentassist.antlr
Class ABaseParser

    java.lang.Object
      org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser
          org.eclipse.amp.amf.abase.ui.contentassist.antlr.ABaseParser

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser

    public class ABaseParser

extends org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser

Constructor Summary
`ABaseParser()`

Method Summary
`protected InternalABaseParser` | `createParser()`
`protected java.util.Collection<org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement>` | `getFollowElements(org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser parser)`
`ABaseGrammarAccess` | `getGrammarAccess()`
`protected java.lang.String[]` | `getInitialHiddenTokens()`
`protected java.lang.String` | `getRuleName(org.eclipse.xtext.AbstractElement element)`
`void` | `setGrammarAccess(ABaseGrammarAccess grammarAccess)`

Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser
`createLexer, getFollowElements, getFollowElements, getUnorderedGroupHelper, setUnorderedGroupHelper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseParser

    public ABaseParser()

Method Detail

### createParser

    protected InternalABaseParser createParser()

  Specified by:
    `createParser` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser`

### getRuleName

    protected java.lang.String getRuleName(org.eclipse.xtext.AbstractElement element)

  Specified by:
    `getRuleName` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser`

### getFollowElements

    protected java.util.Collection<org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement> getFollowElements(org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser parser)

  Specified by:
    `getFollowElements` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser`

### getInitialHiddenTokens

    protected java.lang.String[] getInitialHiddenTokens()

  Specified by:
    `getInitialHiddenTokens` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser`

### getGrammarAccess

    public ABaseGrammarAccess getGrammarAccess()

### setGrammarAccess

    public void setGrammarAccess(ABaseGrammarAccess grammarAccess)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD